Package ru.bitel.oss.systems.inventory.product.common.event

# Class ProductStateEntry

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.event.ProductStateEntry

    public class ProductStateEntry
    extends java.lang.Object

Bean для события об изменении состояния продукта.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `deviceProductId` | ID продукта на устройстве (на MW).
  `short` | `deviceState` | Состояние на устройстве (на MW).
  `int` | `productId` |
  `int` | `productSpecId` |
  `java.util.List<ServiceStateEntry>` | `serviceEntryList` |

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ProductStateEntry()` |
  `` | `ProductStateEntry​(int productId, int productSpecId, java.lang.String deviceProductId, short deviceState, java.util.List<ServiceStateEntry> serviceEntryList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### productId

    public final int productId

  - ### productSpecId

    public final int productSpecId

  - ### deviceProductId

    public final java.lang.String deviceProductId
    ID продукта на устройстве (на MW).

  - ### deviceState

    public final short deviceState
    Состояние на устройстве (на MW).

  - ### serviceEntryList

    public final java.util.List<ServiceStateEntry> serviceEntryList

- ## Constructor Details

  - ### ProductStateEntry

    protected ProductStateEntry()

  - ### ProductStateEntry

    public ProductStateEntry​(int productId, int productSpecId, java.lang.String deviceProductId, short deviceState, java.util.List<ServiceStateEntry> serviceEntryList)

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`